-- TODO: drop the temp table TEMP_PROCESS_CONSTRAINS_TABLE
CREATE GLOBAL TEMPORARY TABLE TEMP_PROCESS_CONSTRAINTS_TABLE
(
    COMP_ID VARCHAR2(255) NOT NULL,
    CODE_SYS_ID NUMBER(18) NOT NULL,
    CODE_ID VARCHAR2(255) NOT NULL,
    PARENT_CODE_SYS_ID NUMBER(18),
    INCLUDED NUMBER(1) DEFAULT 0,
    CONSTRAINT "PK_TEMP_PROCESS_CONSTRAINTS" PRIMARY KEY ("COMP_ID", "CODE_SYS_ID") ENABLE
) ON COMMIT DELETE ROWS
;
